NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Features::CircularBlendCurveBuilder Class Reference

Represents a NXOpen::Features::CircularBlendCurve builder
To create a new instance of this class, use NXOpen::Features::FeatureCollection::CreateCircularBlendCurveBuilder
Default values. More...

Inheritance diagram for NXOpen::Features::CircularBlendCurveBuilder:
NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  CylinderDirectionOption { CylinderDirectionOptionBestFit, CylinderDirectionOptionVariable, CylinderDirectionOptionVector, CylinderDirectionOptionCurrentView }
 Represents the cylinder direction options. More...
 
enum  CylinderRadiusOption { CylinderRadiusOptionPointOnFirstCurve, CylinderRadiusOptionPointOnSecondCurve, CylinderRadiusOptionValue }
 Represents the cylinder radius options. More...
 

Public Member Functions

bool Associative ()
 Returns whether to create the associative output or non associative output
Created in NX5.0.0. More...
 
void ComplementArc ()
 Complements the circular blend curve
Created in NX5.0.0. More...
 
NXOpen::GeometricUtilities::CurveFitOptionsCurveFitMethod ()
 Returns the curve fit method as NXOpen::GeometricUtilities::CurveFitOptions
Created in NX5.0.0. More...
 
NXOpen::ExpressionCylinderRadius ()
 Returns the cylinder radius as NXOpen::Expression , if NXOpen::Features::CircularBlendCurveBuilder::CylinderRadiusOption is NXOpen::Features::CircularBlendCurveBuilder::CylinderRadiusOptionValue
Created in NX5.0.0. More...
 
NXOpen::Features::CircularBlendCurveBuilder::CylinderDirectionOption DirectionOption ()
 Returns the cylinder direction option as NXOpen::Features::CircularBlendCurveBuilder::CylinderDirectionOption
Created in NX5.0.0. More...
 
double DistanceTolerance ()
 Returns the distance tolerance
Created in NX5.0.0. More...
 
void Evaluate ()
 Evaluates the circular blend curve
Created in NX5.0.0. More...
 
NXOpen::SectionFirstCurve ()
 Returns the first curve chain
Created in NX5.0.0. More...
 
NXOpen::GeometricUtilities::OnPathDimensionBuilderPointArclength ()
 Returns the location of the point on curve as arclength or arclength, if NXOpen::Features::CircularBlendCurveBuilder::CylinderRadiusOption is NXOpen::Features::CircularBlendCurveBuilder::CylinderRadiusOptionPointOnFirstCurve or Features::CircularBlendCurveBuilder::CylinderRadiusOptionPointOnSecondCurve
Created in NX5.0.0. More...
 
NXOpen::Features::CircularBlendCurveBuilder::CylinderRadiusOption RadiusOption ()
 Returns the cylinder radius option as NXOpen::Features::CircularBlendCurveBuilder::CylinderRadiusOption
Created in NX5.0.0. More...
 
NXOpen::SectionSecondCurve ()
 Returns the second curve chain
Created in NX5.0.0. More...
 
void SetAssociative (bool associative)
 Sets whether to create the associative output or non associative output
Created in NX5.0.0. More...
 
void SetDirectionOption (NXOpen::Features::CircularBlendCurveBuilder::CylinderDirectionOption directionOption)
 Sets the cylinder direction option as NXOpen::Features::CircularBlendCurveBuilder::CylinderDirectionOption
Created in NX5.0.0. More...
 
void SetDistanceTolerance (double distanceTolerance)
 Sets the distance tolerance
Created in NX5.0.0. More...
 
void SetRadiusOption (NXOpen::Features::CircularBlendCurveBuilder::CylinderRadiusOption radiusOption)
 Sets the cylinder radius option as NXOpen::Features::CircularBlendCurveBuilder::CylinderRadiusOption
Created in NX5.0.0. More...
 
void SetShapeControlFirstCurve (double shapeControlCurve1)
 Sets the shape control for first curve, specifies how quickly the circular blend curve deviates from the first curve. More...
 
void SetShapeControlSecondCurve (double shapeControlCurve2)
 Sets the shape control for second curve, specifies how quickly the circular blend curve deviates from the second curve. More...
 
void SetVector (NXOpen::Direction *vector)
 Sets the vector for cylinder direction, if NXOpen::Features::CircularBlendCurveBuilder::CylinderDirectionOption is NXOpen::Features::CircularBlendCurveBuilder::CylinderDirectionOptionVector
Created in NX5.0.0. More...
 
double ShapeControlFirstCurve ()
 Returns the shape control for first curve, specifies how quickly the circular blend curve deviates from the first curve. More...
 
double ShapeControlSecondCurve ()
 Returns the shape control for second curve, specifies how quickly the circular blend curve deviates from the second curve. More...
 
NXOpen::DirectionVector ()
 Returns the vector for cylinder direction, if NXOpen::Features::CircularBlendCurveBuilder::CylinderDirectionOption is NXOpen::Features::CircularBlendCurveBuilder::CylinderDirectionOptionVector
Created in NX5.0.0. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::Features::CircularBlendCurve builder
To create a new instance of this class, use NXOpen::Features::FeatureCollection::CreateCircularBlendCurveBuilder
Default values.

Property Value

Associative

True

CurveFitMethod.FitOption

Cubic

CurveFitMethod.MaximumDegree

7

CurveFitMethod.MaximumSegments

1

CylinderRadius.Value

0.0 (millimeters part), 0.0 (inches part)

DirectionOption

BestFit

PointArclength.Expression.Value

0.0 (millimeters part), 0.0 (inches part)

RadiusOption

PointOnFirstCurve

ShapeControlFirstCurve

2.0

ShapeControlSecondCurve

2.0


Created in NX5.0.0.

Member Enumeration Documentation

Represents the cylinder direction options.

Enumerator
CylinderDirectionOptionBestFit 

Best fit method.

CylinderDirectionOptionVariable 

Variable method.

CylinderDirectionOptionVector 

Specify vector method.

CylinderDirectionOptionCurrentView 

Current view method.

Represents the cylinder radius options.

Enumerator
CylinderRadiusOptionPointOnFirstCurve 

Radius by point on first curve.

CylinderRadiusOptionPointOnSecondCurve 

Radius by point on second curve.

CylinderRadiusOptionValue 

Radius by value.

Member Function Documentation

bool NXOpen::Features::CircularBlendCurveBuilder::Associative ( )

Returns whether to create the associative output or non associative output
Created in NX5.0.0.



License requirements : None

void NXOpen::Features::CircularBlendCurveBuilder::ComplementArc ( )

Complements the circular blend curve
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

NXOpen::GeometricUtilities::CurveFitOptions* NXOpen::Features::CircularBlendCurveBuilder::CurveFitMethod ( )

Returns the curve fit method as NXOpen::GeometricUtilities::CurveFitOptions
Created in NX5.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Features::CircularBlendCurveBuilder::CylinderRadius ( )
NXOpen::Features::CircularBlendCurveBuilder::CylinderDirectionOption NXOpen::Features::CircularBlendCurveBuilder::DirectionOption ( )

Returns the cylinder direction option as NXOpen::Features::CircularBlendCurveBuilder::CylinderDirectionOption
Created in NX5.0.0.



License requirements : None

double NXOpen::Features::CircularBlendCurveBuilder::DistanceTolerance ( )

Returns the distance tolerance
Created in NX5.0.0.



License requirements : None

void NXOpen::Features::CircularBlendCurveBuilder::Evaluate ( )

Evaluates the circular blend curve
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

NXOpen::Section* NXOpen::Features::CircularBlendCurveBuilder::FirstCurve ( )

Returns the first curve chain
Created in NX5.0.0.



License requirements : None

NXOpen::GeometricUtilities::OnPathDimensionBuilder* NXOpen::Features::CircularBlendCurveBuilder::PointArclength ( )
NXOpen::Features::CircularBlendCurveBuilder::CylinderRadiusOption NXOpen::Features::CircularBlendCurveBuilder::RadiusOption ( )

Returns the cylinder radius option as NXOpen::Features::CircularBlendCurveBuilder::CylinderRadiusOption
Created in NX5.0.0.



License requirements : None

NXOpen::Section* NXOpen::Features::CircularBlendCurveBuilder::SecondCurve ( )

Returns the second curve chain
Created in NX5.0.0.



License requirements : None

void NXOpen::Features::CircularBlendCurveBuilder::SetAssociative ( bool  associative)

Sets whether to create the associative output or non associative output
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
associativeassociative
void NXOpen::Features::CircularBlendCurveBuilder::SetDirectionOption ( NXOpen::Features::CircularBlendCurveBuilder::CylinderDirectionOption  directionOption)

Sets the cylinder direction option as NXOpen::Features::CircularBlendCurveBuilder::CylinderDirectionOption
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
directionOptiondirectionoption
void NXOpen::Features::CircularBlendCurveBuilder::SetDistanceTolerance ( double  distanceTolerance)

Sets the distance tolerance
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
distanceTolerancedistancetolerance
void NXOpen::Features::CircularBlendCurveBuilder::SetRadiusOption ( NXOpen::Features::CircularBlendCurveBuilder::CylinderRadiusOption  radiusOption)

Sets the cylinder radius option as NXOpen::Features::CircularBlendCurveBuilder::CylinderRadiusOption
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
radiusOptionradiusoption
void NXOpen::Features::CircularBlendCurveBuilder::SetShapeControlFirstCurve ( double  shapeControlCurve1)

Sets the shape control for first curve, specifies how quickly the circular blend curve deviates from the first curve.

The lower the number, the quicker the deviation.
Created in NX5.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
shapeControlCurve1shapecontrolcurve1
void NXOpen::Features::CircularBlendCurveBuilder::SetShapeControlSecondCurve ( double  shapeControlCurve2)

Sets the shape control for second curve, specifies how quickly the circular blend curve deviates from the second curve.

The lower the number, the quicker the deviation.
Created in NX5.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
shapeControlCurve2shapecontrolcurve2
void NXOpen::Features::CircularBlendCurveBuilder::SetVector ( NXOpen::Direction vector)

Sets the vector for cylinder direction, if NXOpen::Features::CircularBlendCurveBuilder::CylinderDirectionOption is NXOpen::Features::CircularBlendCurveBuilder::CylinderDirectionOptionVector
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
vectorvector
double NXOpen::Features::CircularBlendCurveBuilder::ShapeControlFirstCurve ( )

Returns the shape control for first curve, specifies how quickly the circular blend curve deviates from the first curve.

The lower the number, the quicker the deviation.
Created in NX5.0.0.

License requirements : None

double NXOpen::Features::CircularBlendCurveBuilder::ShapeControlSecondCurve ( )

Returns the shape control for second curve, specifies how quickly the circular blend curve deviates from the second curve.

The lower the number, the quicker the deviation.
Created in NX5.0.0.

License requirements : None

NXOpen::Direction* NXOpen::Features::CircularBlendCurveBuilder::Vector ( )

Returns the vector for cylinder direction, if NXOpen::Features::CircularBlendCurveBuilder::CylinderDirectionOption is NXOpen::Features::CircularBlendCurveBuilder::CylinderDirectionOptionVector
Created in NX5.0.0.



License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.